%% funzione di fitness da ottimizzare da NRHO a LLO
function y = fitness_NRHO_LLO(X,t0,inc)                                  % Xi = [t1,dt(i),dV(i)] tempi in giorni, dV in km/s

% propagazione traiettoria
[~,t_t,Xf_t] = propagazione_traj(X,t0);
Xfin = Xf_t(end,:)';                                                       % estraggo stato di arrivo

% calcolo dV impulso circolarizzante
dV_fin = circolarizzazione(Xfin,2,t_t(end),inc);


% estraggo dV da X
N = length(X)/4+3/4;
dv = X(N+1:end);
dV = reshape(dv,3,[]);                                                     % matrice che ha i dV(i) nelle colonne

% calcolo funzione di fitness
normdV = sum(vecnorm(dV,2,1));                                             % contributo dV
y = (norm(dV_fin) + normdV)*1e3;                                                 % contributo tot impulsi

